Loading...
Searching...
No Matches
portsmodel::Port::DetectionMode Struct Reference

Port detection mode. More...

`import <Port.idl;`

## Public Attributes

DetectionType | type
| detection type: auto or pinned
string | pinnedDeviceType
| contains specific device type in pinned mode, not used for auto

## Detailed Description

Port detection mode.

Definition at line 51 of file Port.idl.

## Member Data Documentation

## pinnedDeviceType

string portsmodel::Port::DetectionMode::pinnedDeviceType

contains specific device type in pinned mode, not used for auto

Definition at line 53 of file Port.idl.

## type

DetectionType portsmodel::Port::DetectionMode::type

detection type: auto or pinned

Definition at line 52 of file Port.idl.

The documentation for this struct was generated from the following file:

- Port.idl